oracle.xml.jaxp

## Class JXSAXParser

- java.lang.Object
- - javax.xml.parsers.SAXParser
  - - oracle.xml.jaxp.JXSAXParser

    public class JXSAXParser
    extends SAXParser

Defines the API that wraps an `org.xml.sax.XMLReader` implementation class. In JAXP 1.0, this class wrapped the `org.xml.sax.Parser` interface, however this interface was replaced by the `XMLReader`. For ease of transition, this class continues to support the same name and interface as well as supporting new methods. An instance of this class can be obtained from the `SAXParserFactory.newSAXParser` method. Once an instance of this class is obtained, XML can be parsed from a variety of input sources. These input sources are InputStreams, Files, URLs, and SAX InputSources.

This static method creates a new factory instance based on a system property setting or uses the platform default if no property has been defined.

The system property that controls which Factory implementation to create is named "javax.xml.style.TransformFactory". This property names a class that is a concrete subclass of this abstract class. If no property is defined, a platform default will be used.

As the content is parsed by the underlying parser, methods of the given `HandlerBase` are called.

Since:
  JAXP 1.0

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`Parser` `getParser()` Deprecated. Use getXMLReader()
`java.lang.Object` `getProperty(java.lang.String name)` returns the particular property requested for in the underlying implementation of org.xml.sax.XMLReader.
`XMLReader` `getXMLReader()` Returns the XMLReader that is encapsulated by the implementation of this class.
`boolean` `isNamespaceAware()` Indicates whether or not this parser is configured to understand namespaces.
`boolean` `isValidating()` Indicates whether or not this parser is configured to validate XML documents.
`void` `parse(InputSource is, DefaultHandler dh)` Parse the content given `org.xml.sax.InputSource` as XML using the specified `org.xml.sax.helpers.DefaultHandler`.
`void` `parse(java.io.InputStream is, DefaultHandler dh)` Parse the content of the given `java.io.InputStream` instance as XML using the specified `org.xml.sax.helpers.DefaultHandler`.
`void` `parse(java.io.InputStream is, DefaultHandler dh, java.lang.String systemId)` Parse the content of the given `java.io.InputStream` instance as XML using the specified `org.xml.sax.helpers.DefaultHandler`.
`void` `parse(java.io.InputStream is, HandlerBase hb, java.lang.String systemId)` Parse the content of the given `java.io.InputStream` instance as XML using the specified `org.xml.sax.HandlerBase`.
`void` `setProperty(java.lang.String name, java.lang.Object value)` Sets the particular property in the underlying implementation of org.xml.sax.XMLReader.

### Methods inherited from class javax.xml.parsers.SAXParser

`parse, parse, parse, parse, parse, parse`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getParser

    public Parser getParser()
                     throws SAXException

Deprecated. Use getXMLReader()
Returns the SAX parser that is encapsultated by the implementation of this class.

Specified by:
  `getParser` in class `SAXParser`
Throws:
  `SAXException`

#### getXMLReader

    public XMLReader getXMLReader()
                           throws SAXException

Returns the XMLReader that is encapsulated by the implementation of this class.

Specified by:
  `getXMLReader` in class `SAXParser`
Throws:
  `SAXException`

#### isNamespaceAware

    public boolean isNamespaceAware()

Indicates whether or not this parser is configured to understand namespaces.

Specified by:
  `isNamespaceAware` in class `SAXParser`

#### isValidating

    public boolean isValidating()

Indicates whether or not this parser is configured to validate XML documents.

Specified by:
  `isValidating` in class `SAXParser`

#### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)
                     throws SAXNotRecognizedException,
                            SAXNotSupportedException

Sets the particular property in the underlying implementation of org.xml.sax.XMLReader.

Specified by:
  `setProperty` in class `SAXParser`
Parameters:
  `name` - The name of the property to be set.
  `value` - The value of the property to be set.
Throws:
  `SAXNotRecognizedException` - When the underlying XMLReader does not recognize the property name.
  `SAXNotSupportedException` - When the underlying XMLReader recognizes the property name but doesn't support the property.
See Also:
  `XMLReader.setProperty(java.lang.String, java.lang.Object)`

#### getProperty

    public java.lang.Object getProperty(java.lang.String name)
                                 throws SAXNotRecognizedException,
                                        SAXNotSupportedException

returns the particular property requested for in the underlying implementation of org.xml.sax.XMLReader.

Specified by:
  `getProperty` in class `SAXParser`
Parameters:
  `name` - The name of the property to be retrieved.
Returns:
  Value of the requested property.
Throws:
  `SAXNotRecognizedException` - When the underlying XMLReader does not recognize the property name.
  `SAXNotSupportedException` - When the underlying XMLReader recognizes the property name but doesn't support the property.
See Also:
  `XMLReader.getProperty(java.lang.String)`

#### parse

    public void parse(java.io.InputStream is,
                      HandlerBase hb,
                      java.lang.String systemId)
               throws SAXException,
                      java.io.IOException

Parse the content of the given `java.io.InputStream` instance as XML using the specified `org.xml.sax.HandlerBase`. Use of the DefaultHandler version of this method is recommended as the HandlerBase class has been deprecated in SAX 2.0

Overrides:
  `parse` in class `SAXParser`
Parameters:
  `is` - InputStream containing the content to be parsed.
  `hb` - The SAX HandlerBase to use.
  `systemId` - The systemId which is needed for resolving relative URIs.
Throws:
  `java.io.IOException` - If any IO errors occur.
  `java.lang.IllegalArgumentException` - If the given InputStream is null.
  `SAXException`
See Also:
  `version of this method instead.`

#### parse

    public void parse(java.io.InputStream is,
                      DefaultHandler dh)
               throws SAXException,
                      java.io.IOException

Parse the content of the given `java.io.InputStream` instance as XML using the specified `org.xml.sax.helpers.DefaultHandler`.

Overrides:
  `parse` in class `SAXParser`
Parameters:
  `is` - InputStream containing the content to be parsed.
  `dh` - The SAX DefaultHandler to use.
Throws:
  `java.io.IOException` - If any IO errors occur.
  `java.lang.IllegalArgumentException` - If the given InputStream is null.
  `SAXException`
See Also:
  `DocumentHandler`

#### parse

    public void parse(java.io.InputStream is,
                      DefaultHandler dh,
                      java.lang.String systemId)
               throws SAXException,
                      java.io.IOException

Parse the content of the given `java.io.InputStream` instance as XML using the specified `org.xml.sax.helpers.DefaultHandler`.

Overrides:
  `parse` in class `SAXParser`
Parameters:
  `is` - InputStream containing the content to be parsed.
  `dh` - The SAX DefaultHandler to use.
  `systemId` - The systemId which is needed for resolving relative URIs.
Throws:
  `java.io.IOException` - If any IO errors occur.
  `java.lang.IllegalArgumentException` - If the given InputStream is null.
  `SAXException`
See Also:
  `version of this method instead.`

#### parse

    public void parse(InputSource is,
                      DefaultHandler dh)
               throws SAXException,
                      java.io.IOException

Parse the content given `org.xml.sax.InputSource` as XML using the specified `org.xml.sax.helpers.DefaultHandler`.

Overrides:
  `parse` in class `SAXParser`
Parameters:
  `is` - The InputSource containing the content to be parsed.
  `dh` - The SAX DefaultHandler to use.
Throws:
  `java.io.IOException` - If any IO errors occur.
  `java.lang.IllegalArgumentException` - If the InputSource is null.
  `SAXException`
See Also:
  `DocumentHandler`

Copyright © 2003, 2020, Oracle and/or its affiliates.